Package com.pixelmed.apps

## Class CompareSetsOfDicomFiles

- java.lang.Object
- - com.pixelmed.apps.CompareSetsOfDicomFiles

-     public class CompareSetsOfDicomFiles
      extends java.lang.Object

  A class to compare two sets of DICOM files.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompareSetsOfDicomFiles​(java.lang.String firstPath, java.lang.String secondPath)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | For testing, read all DICOM files and build a set of them.
    `static boolean` | `updateDigest​(java.security.MessageDigest md, java.awt.image.BufferedImage srcImage)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompareSetsOfDicomFiles

          public CompareSetsOfDicomFiles​(java.lang.String firstPath,
                                         java.lang.String secondPath)

  - ### Method Detail

    - #### updateDigest

          public static boolean updateDigest​(java.security.MessageDigest md,
                                             java.awt.image.BufferedImage srcImage)
                                      throws DicomException,
                                             java.io.IOException

      Throws:
        `DicomException`
        `java.io.IOException`

    - #### main

          public static void main​(java.lang.String[] arg)

      For testing, read all DICOM files and build a set of them.

      Parameters:
        `arg` - the filenames